'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

var _TooltipTrigger = require('../../TooltipTrigger');

var _TooltipTrigger2 = _interopRequireDefault(_TooltipTrigger);

var _CircularProgress = require('../../CircularProgress');

var _CircularProgress2 = _interopRequireDefault(_CircularProgress);

var _Icon = require('../../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _getPropsFrom = require('../../utils/getPropsFrom');

var _getPropsFrom2 = _interopRequireDefault(_getPropsFrom);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * @param {object} props react props
 * @example
 const props = {
	label: 'edit',
	icon: 'fa fa-edit',
	onClick: action('onEdit'),
	tooltipPlacement: 'right',
	hideLabel: true,
	link: true,
};
 <Action {...props} />
 */
function Action(props) {
	var bsStyle = props.bsStyle,
	    icon = props.icon,
	    inProgress = props.inProgress,
	    hideLabel = props.hideLabel,
	    label = props.label,
	    link = props.link,
	    model = props.model,
	    onClick = props.onClick,
	    tooltipPlacement = props.tooltipPlacement,
	    rest = _objectWithoutProperties(props, ['bsStyle', 'icon', 'inProgress', 'hideLabel', 'label', 'link', 'model', 'onClick', 'tooltipPlacement']);

	var buttonProps = (0, _getPropsFrom2.default)(_reactBootstrap.Button, rest);
	var style = link ? 'link' : bsStyle;
	var rClick = function rClick(event) {
		return onClick(event, {
			action: _extends({ label: label }, rest),
			model: model
		});
	};
	var btn = _react2.default.createElement(
		_reactBootstrap.Button,
		_extends({
			onClick: rClick,
			bsStyle: style,
			disabled: inProgress,
			role: link ? 'link' : null
		}, buttonProps),
		icon && !inProgress ? _react2.default.createElement(_Icon2.default, { name: icon }) : null,
		inProgress ? _react2.default.createElement(_CircularProgress2.default, { size: 'small' }) : null,
		hideLabel ? null : _react2.default.createElement(
			'span',
			null,
			label
		)
	);

	return hideLabel ? _react2.default.createElement(
		_TooltipTrigger2.default,
		{ label: label, tooltipPlacement: tooltipPlacement },
		btn
	) : btn;
}

Action.propTypes = {
	bsStyle: _react.PropTypes.string,
	hideLabel: _react.PropTypes.bool,
	icon: _react.PropTypes.string,
	label: _react.PropTypes.string.isRequired,
	link: _react.PropTypes.bool,
	model: _react.PropTypes.object, // eslint-disable-line react/forbid-prop-types
	onClick: _react.PropTypes.func.isRequired,
	tooltipPlacement: _reactBootstrap.OverlayTrigger.propTypes.placement,
	inProgress: _react.PropTypes.bool,
	id: _react.PropTypes.string
};

Action.defaultProps = {
	bsStyle: 'default',
	tooltipPlacement: 'top',
	inProgress: false
};

exports.default = Action;