'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _TwoColumns = require('./TwoColumns.scss');

var _TwoColumns2 = _interopRequireDefault(_TwoColumns);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @param {object} props react props
 * @example
<TwoColumns name="Hello world"></TwoColumns>
 */
function TwoColumns(props) {
	var containerCSS = (0, _classnames2.default)('tc-layout-two-columns', _TwoColumns2.default.container);
	var sidemenuCSS = (0, _classnames2.default)('tc-layout-two-columns-left', _TwoColumns2.default.sidemenu);
	var mainCSS = (0, _classnames2.default)('tc-layout-two-columns-main', _TwoColumns2.default.main);

	return _react2.default.createElement(
		'div',
		{ className: containerCSS },
		_react2.default.createElement(
			'div',
			{ className: sidemenuCSS },
			props.one
		),
		_react2.default.createElement(
			'div',
			{ className: mainCSS },
			props.children
		)
	);
}

TwoColumns.propTypes = {
	one: _react2.default.PropTypes.element,
	children: _react2.default.PropTypes.element
};

exports.default = TwoColumns;