'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDebounceInput = require('react-debounce-input');

var _reactDebounceInput2 = _interopRequireDefault(_reactDebounceInput);

var _FormControl = require('react-bootstrap/lib/FormControl');

var _FormControl2 = _interopRequireDefault(_FormControl);

var _Button = require('react-bootstrap/lib/Button');

var _Button2 = _interopRequireDefault(_Button);

var _Icon = require('../../../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @param {object} props react props
 * @example
 <Filter name="Hello world"></Filter>
 */
function Filter(_ref) {
	var id = _ref.id,
	    onFilter = _ref.onFilter,
	    debounceMinLength = _ref.debounceMinLength,
	    debounceTimeout = _ref.debounceTimeout;

	function onFilterHandler(event) {
		return onFilter(event.target.value, event);
	}

	function onSubmit(event) {
		event.preventDefault();
		return onFilter(this.value, event);
	}

	var inputProps = {
		id: id && id + '-input',
		type: 'search',
		placeholder: 'Filter',
		'aria-label': 'Filter',
		onChange: onFilterHandler,
		ref: function ref(c) {
			return onSubmit.bind(c);
		}
	};

	return _react2.default.createElement(
		'form',
		{
			className: 'navbar-form navbar-right',
			role: 'search',
			onSubmit: onSubmit
		},
		_react2.default.createElement(
			'div',
			{ className: 'form-group' },
			debounceMinLength || debounceTimeout ? _react2.default.createElement(_reactDebounceInput2.default, _extends({}, inputProps, {
				element: _FormControl2.default,
				minLength: debounceMinLength,
				debounceTimeout: debounceTimeout
			})) : _react2.default.createElement(_FormControl2.default, inputProps),
			_react2.default.createElement(
				_Button2.default,
				{
					id: id && id + '-submit',
					bsStyle: 'link',
					type: 'submit',
					title: 'Filter'
				},
				_react2.default.createElement(_Icon2.default, { name: 'talend-search' }),
				_react2.default.createElement(
					'span',
					{ className: 'sr-only' },
					'Filter'
				)
			)
		)
	);
}

Filter.propTypes = {
	id: _react.PropTypes.string,
	onFilter: _react.PropTypes.func.isRequired,
	debounceMinLength: _react.PropTypes.number,
	debounceTimeout: _react.PropTypes.number
};

exports.default = Filter;