import {
	Alert,
	Badge,
	Breadcrumb,
	BreadcrumbItem,
	Button,
	ButtonGroup,
	ButtonToolbar,
	Carousel,
	CarouselItem,
	Checkbox,
	Clearfix,
	ControlLabel,
	Col,
	Collapse,
	Dropdown,
	DropdownButton,
	Fade,
	Form,
	FormControl,
	FormGroup,
	Glyphicon,
	Grid,
	HelpBlock,
	Image,
	InputGroup,
	Jumbotron,
	Label,
	ListGroup,
	ListGroupItem,
	Media,
	MenuItem,
	Modal,
	ModalBody,
	ModalFooter,
	ModalHeader,
	ModalTitle,
	Nav,
	Navbar,
	NavbarBrand,
	NavDropdown,
	NavItem,
	Overlay,
	OverlayTrigger,
	PageHeader,
	PageItem,
	Pager,
	Pagination,
	Panel,
	PanelGroup,
	Popover,
	ProgressBar,
	Radio,
	ResponsiveEmbed,
	Row,
	SafeAnchor,
	SplitButton,
	Tab,
	TabContainer,
	TabContent,
	Table,
	TabPane,
	Tabs,
	Thumbnail,
	Tooltip,
	Well,
} from 'react-bootstrap';

import { Action, ActionDropdown, ActionSplitDropdown, Actions } from './Actions';
import ActionBar from './ActionBar';
import Notification from './Notification';
import AppHeaderBar from './AppHeaderBar';
import TalendBadge from './Badge';
import Breadcrumbs from './Breadcrumbs';
import CircularProgress from './CircularProgress';
import CollapsiblePanel from './CollapsiblePanel';
import ConfirmDialog from './ConfirmDialog';
import Dialog from './Dialog';
import Drawer from './Drawer';
import TreeView from './TreeView';
import Icon from './Icon';
import IconsProvider from './IconsProvider';
import Layout from './Layout';
import List from './List';
import ObjectViewer from './ObjectViewer';
import Progress from './Progress';
import SidePanel from './SidePanel';
import Status from './Status';
import TooltipTrigger from './TooltipTrigger';
import Typeahead from './Typeahead';

export {
	Action,
	ActionBar,
	ActionDropdown,
	ActionSplitDropdown,
	Actions,
	AppHeaderBar,
	Breadcrumbs,
	CircularProgress,
	CollapsiblePanel,
	Dialog,
	ConfirmDialog,
	Drawer,
	TreeView,
	TalendBadge as Badge,
	Icon,
	IconsProvider,
	Layout,
	List,
	Notification,
	ObjectViewer,
	Progress,
	SidePanel,
	Status,
	TooltipTrigger,
	Typeahead,

	Alert,
	Badge as BootstrapBadge,
	Breadcrumb,
	BreadcrumbItem,
	Button,
	ButtonGroup,
	ButtonToolbar,
	Carousel,
	CarouselItem,
	Checkbox,
	Clearfix,
	ControlLabel,
	Col,
	Collapse,
	Dropdown,
	DropdownButton,
	Fade,
	Form,
	FormControl,
	FormGroup,
	Glyphicon,
	Grid,
	HelpBlock,
	Image,
	InputGroup,
	Jumbotron,
	Label,
	ListGroup,
	ListGroupItem,
	Media,
	MenuItem,
	Modal,
	ModalBody,
	ModalFooter,
	ModalHeader,
	ModalTitle,
	Nav,
	Navbar,
	NavbarBrand,
	NavDropdown,
	NavItem,
	Overlay,
	OverlayTrigger,
	PageHeader,
	PageItem,
	Pager,
	Pagination,
	Panel,
	PanelGroup,
	Popover,
	ProgressBar,
	Radio,
	ResponsiveEmbed,
	Row,
	SafeAnchor,
	SplitButton,
	Tab,
	TabContainer,
	TabContent,
	Table,
	TabPane,
	Tabs,
	Thumbnail,
	Tooltip,
	Well,
};
